.cf-thes-tree .x-grid-item-selected {
  background-color: transparent;
}

.cf-thes-tree-root,
.x-grid-tree-node-expanded .cf-thes-tree-root,
.x-grid-tree-node-leaf .cf-thes-tree-root {
  background-image: url(images/thesaurus/thesaurus.gif);
}

.cf-thes-tree-TT,
.x-grid-tree-node-expanded .cf-thes-tree-TT,
.x-grid-tree-node-leaf .cf-thes-tree-TT {
  background-image: url(images/thesaurus/TT.gif);
}

.x-grid-tree-node-leaf .cf-thes-tree-overflow {
  background-image: none;
  width: 3px;
}

.cf-thes-list-TT {
  background: transparent url(images/thesaurus/TT.gif) no-repeat 2px 8px;
}

.cf-thes-list-permuted .x-grid-cell-inner {
  padding-right: 2px;
  padding-left: 2px;
}

.cf-thes-list-permuted .x-grid-cell-inner .cf-thes-list-permuted-left {
  padding-left: 20px;
}

.cf-thes-list-permuted-TT {
  background: transparent url(images/thesaurus/TT.gif) no-repeat 0 0;
}

.cf-thes-tree-MT,
.x-grid-tree-node-expanded .cf-thes-tree-MT,
.x-grid-tree-node-leaf .cf-thes-tree-MT {
  background-image: url(images/thesaurus/MT.gif);
}

.cf-thes-list-MT {
  background: transparent url(images/thesaurus/MT.gif) no-repeat 2px 8px;
}

.cf-thes-list-permuted-MT {
  background: transparent url(images/thesaurus/MT.gif) no-repeat 0 0;
}

.cf-thes-tree-NT,
.x-grid-tree-node-expanded .cf-thes-tree-NT,
.x-grid-tree-node-leaf .cf-thes-tree-NT {
  background-image: url(images/thesaurus/NT.gif);
}

.cf-thes-list-NT {
  background: transparent url(images/thesaurus/NT.gif) no-repeat 2px 8px;
}

.cf-thes-list-permuted-NT {
  background: transparent url(images/thesaurus/NT.gif) no-repeat 0 0;
}

.cf-thes-tree-ND,
.x-grid-tree-node-expanded .cf-thes-tree-ND,
.x-grid-tree-node-leaf .cf-thes-tree-ND {
  background-image: url(images/thesaurus/ND.gif);
}

.cf-thes-list-ND {
  background: transparent url(images/thesaurus/ND.gif) no-repeat 2px 8px;
}

.cf-thes-list-permuted-ND {
  background: transparent url(images/thesaurus/ND.gif) no-repeat 0 0;
}

.cf-thes-tree-LT,
.x-grid-tree-node-expanded .cf-thes-tree-LT,
.x-grid-tree-node-leaf .cf-thes-tree-LT {
  background-image: url(images/thesaurus/LT.gif);
}

.cf-thes-list-LT {
  background: transparent url(images/thesaurus/LT.gif) no-repeat 2px 8px;
}

.cf-thes-list-permuted-LT {
  background: transparent url(images/thesaurus/LT.gif) no-repeat 0 0;
}

.cf-thes-tree-FT,
.x-grid-tree-node-expanded .cf-thes-tree-FT,
.x-grid-tree-node-leaf .cf-thes-tree-FT {
  background-image: url(images/thesaurus/FT.gif);
}

.cf-thes-list-FT {
  background: transparent url(images/thesaurus/FT.gif) no-repeat 2px 8px;
}

.cf-thes-list-permuted-FT {
  background: transparent url(images/thesaurus/FT.gif) no-repeat 0 0;
}

.cf-thes-tree-pager {
  cursor: pointer;
}

.cf-thes-tree-pager-more {
  background-image: url(images/thesaurus/plus.svg);
  background-size: 12px;
  background-position: center;
}

.x-grid-tree-loading .cf-thes-tree-pager-more {
  background-image: url(/ui/plug-in/extjs/resources/ext-theme-backoffice-base/images/loadmask/loading.gif);
  background-size: 16px;
}

.cf-thes-tree-pager-less {
  background-image: url(images/thesaurus/minus.svg);
  background-size: 12px;
  background-position: center;
}

/* lexicons status */

.cf-thes-tree-status-0,
.cf-thes-tree-status-0 a span {
}

.cf-thes-tree-status-1,
.cf-thes-tree-status-1 a span {
  color: #86add9;
}

.cf-thes-tree-status-2,
.cf-thes-tree-status-2 a span {
  color: #ff6b6b;
}

.cf-thes-tree-status-3,
.cf-thes-tree-status-3 a span {
  color: silver;
}

.cf-thes-detail-label {
  font-weight: bold;
}

.cf-thes-detail .x-form-element {
  padding-top: 0;
}

.cf-thes-selected-lexicons .x-panel-body {
  border-top: 0;
}

.cf-thes-list-grid .x-panel-body {
  border-top: 0;
}

.cf-thes-search-form .x-panel-body {
  border: 0;
}

.cf-thes-list-grid .x-panel-bbar .x-toolbar,
.cf-thes-list-grid .x-panel-tbar .x-toolbar,
.cf-thes-search-form .x-panel-tbar .x-toolbar {
  /*border: 0;*/
}

.cf-thes-list-grid .x-grid3-col-left {
  padding-right: 0;
}

.cf-thes-list-grid .x-grid3-col-left span {
  padding: 3px 0 3px 20px;
}

.cf-thes-list-grid .x-grid3-col-right {
  padding-left: 0;
}

.cf-thes-rights-loading {
  background-image: url(/ui/plug-in/extjs/resources/ext-theme-backoffice-base/images/loadmask/loading.gif);
}

/****************************\
    Diagramme d'un terme
\****************************/

.cf-thes-diag {
  width: 94%;
  height: 94%;
  margin: 3%;
}

.cf-thes-diag-arrow {
  font-size: 30px;
  font-weight: 700;
  text-align: center;
  color: #ffdbbc;
}

.cf-thes-diag-box > * {
  padding: 5px 10px;
}

.cf-thes-diag-box-blue {
  background-color: #ebf1fc;
  color: #264c99;
}

.cf-thes-diag-box-green {
  background-color: #e7f6e7;
  color: #228a22;
}

.cf-thes-diag-box-purple {
  background-color: #f1e4f9;
  color: #7f02c7;
}

.cf-thes-diag-box-red {
  background-color: #ffecee;
  color: #d70f22;
}

.cf-thes-diag-box-header {
  font-weight: 600;
}

.cf-thes-diag-box-header .glyph-add {
  margin-left: 5px;
  cursor: pointer;
  position: relative;
  top: 1px;
}

.cf-thes-diag-box-content li {
  margin: 4px 0;
}

.cf-thes-diag-box-content li .btn-glyph {
  opacity: 0;
  position: relative;
  top: 2px;
  transition: opacity 0.2s ease-in-out;
}

.cf-thes-diag-box-content li span {
  cursor: pointer;
}

.cf-thes-diag-box-content li > div {
  display: inline-block;
}

.cf-thes-diag-box-content li > div:hover .btn-glyph {
  opacity: 1;
}

.cf-thes-diag-box-content-current {
  background-color: #ffffff;
  border: 2px solid #ebf1fc;
}

.cf-thes-diag td:nth-child(2n) {
  width: 60px;
}

.cf-thes-diag tr:nth-child(2n) {
  height: 60px;
}

.cf-thes-diag tr:first-child {
  vertical-align: bottom;
}

.cf-thes-diag tr:last-child {
  vertical-align: top;
}

.linked-term-icon {
  width: 16px;
  height: 16px;
  display: inline-block;
  vertical-align: text-bottom;
  margin-right: 2px;
}

.cf-thes-lock-toolbar {
  padding-left: 7px;
  border: none;
  background-color: #f7be0f;
}

.cf-thes-lock-toolbar.cf-thes-unlock-toolbar {
  background-color: #159b17;
}

.cf-thes-lock-toolbar .x-toolbar-text {
  padding: 7px 0;
  color: #fff;
}

.cf-thes-lock-toolbar .x-toolbar-text:before {
  content: "\e60a";
  font-family: "glyphicons";
  font-weight: normal;
  font-size: 16px;
  margin-right: 5px;
  vertical-align: bottom;
}

.cf-thes-combo-section {
  font-family: "Segoe UI Semibold", Helvetica, tahoma, Arial, sans-serif;
  font-weight: bold;
  padding: 0 6px 0 4px;
  line-height: 30px;
  background-color: #eaeaea;
}

/* affichage d'une icone permettant d'afficher le tooltip des termes */

.cf-thes-tree .x-grid-cell-inner {
  display: flex;
  text-overflow: unset;
  overflow: unset;
}

.cf-thes-tree .x-tree-node-text {
  display: flex;
  flex: 1;
  min-width: 0;
  align-items: center;
}
.cf-thes-lexicon-text {
  overflow: hidden;
  text-overflow: ellipsis;
}

.cf-thes-lexicon-tip-icon {
  vertical-align: bottom;
  display: inline-block;
  margin-left: 5px;
  opacity: 0;
}
.x-grid-item-over .cf-thes-lexicon-tip-icon {
  opacity: 0.5;
}

.cf-thes-lexicon-tip-loading {
  padding: 4px 4px 4px 24px;
  background-image: url(/ui/plug-in/extjs/resources/ext-theme-backoffice-base/images/loadmask/loading.gif);
  background-repeat: no-repeat;
  background-position: left center;
}

.cf-thes-lexicon-tip .x-tip-header-title {
  padding: 6px 6px 0;
  font-weight: 500;
}
.cf-thes-lexicon-tip dl {
  margin: 10px 0 0;
}
.cf-thes-lexicon-tip dl:first-child {
  margin-top: 0;
}
.cf-thes-lexicon-tip dt {
  font-weight: 500;
}
